Subject: Why we stopped our communication? "I expected more, Olga!

From: Olga <[email-masked]>
Date: Thu, 28 Jan 2010 14:36:36 -0800 (PST)

Greetings - send me your photos where you are naked - I was so excited,
my you look at my site in your profile - added new pictures today!
Click here